Page MenuHomePhabricator

Making articles more interesting with data visualizations
Closed, DuplicatePublic

Description

Type of activity: Pre-scheduled session
Main topic: Handling wiki content beyond plaintext

The problem

Data visualization is a common way to tell a story. Wikipedia offers <graph> tag, but that is just a first step. We need to build an ecosystem to support both dynamic and static visualizations, including internal and external data sources and easy to use build tools.

  • Cross-wiki shareable structured data T148745 / T120452 (sample at beta cluster)
    • Spreadsheet-like editor UI T134618
  • External data feeds: Community should be able to set up and maintain a clone of an authoritative data source. Once setup, the data should be updated regularly without human involvement. Various graphs/lists/tables should be able to use that data as a source
  • Data visualizations, e.g. Vega Polestar should be part of the editing infrastructure to build good data visualizations

Expected outcome

  • Gauge general development interest in the topic
  • Brainstorming results on external data feed options, or other similar developments in the industry
  • Solidify data visualization roadmap

Current status of the discussion

  • Initial non-UI tabular data implementation is in progress
  • Wikidata Query Service already supports Polestar (run a query and click "Build graph")

Links

Event Timeline

Yurik created this task.Oct 31 2016, 6:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2016, 6:56 AM
Yurik moved this task from Backlog to Monitoring on the Commons-Datasets board.Nov 1 2016, 4:46 PM
cscott added a subscriber: cscott.Nov 4 2016, 8:32 PM

There was some related discussion at "Rethinking the layout of Wikipedia Articles" at Wikimania 2016 in Esino Lario :
https://wikimania2016.wikimedia.org/wiki/Discussions/Rethinking_the_layout_of_Wikipedia_articles
some diagrams at https://en.wikipedia.org/wiki/User:Cscott/Ideas for "video first" and "VR first" (we were brainstorming!) article presentations. You could imagine adding "data first" article styles, where the structured data took precedence and a number of different visualizations could be attached.

Yurik added a comment.Nov 4 2016, 9:43 PM

@cscott, I wrote some thoughts about page layout in book argument

Qgil added a subscriber: Qgil.Nov 11 2016, 12:12 PM

Who would be the person facilitating this session? Please assign this task to that person if you are aiming to have this session pre-scheduled. Thank you!

@Yurik will you be attending the dev summit?

There are a couple of broad groups of proposals. This one falls in a group involving non-textual content. It may be that I combine this proposal with some of the related ones (T90914, T149554, T147604) in a session, but I'd definitely like to identify some one who can present your ideas (whether that's you or someone you trust to represent this perspective).

@cscott, I will be there, will be happy to present or co-present

cscott assigned this task to Yurik.Nov 12 2016, 3:32 PM

@Yurik Hey! As developer summit is less than four weeks from now, we are working on a plan to incorporate the ‘unconference sessions’ that have been proposed so far and would be generated on the spot. Thus, could you confirm if you plan to facilitate this session at the summit? Also, if your answer is 'YES,' I would like to encourage you to update/ arrange the task description fields to appear in the following format:

Session title
Main topic
Type of activity
Description Move ‘The Problem,' ‘Expected Outcome,' ‘Current status of the discussion’ and ‘Links’ to this section
Proposed by Your name linked to your MediaWiki URL, or profile elsewhere on the internet
Preferred group size
Any supplies that you would need to run the session e.g. post-its
Interested attendees (sign up below)

  1. Add your name here

We will be reaching out to the summit participants next week asking them to express their interest in unconference sessions by signing up.

To maintain the consistency, please consider referring to the template of the following task description: https://phabricator.wikimedia.org/T149564.